Subject: Re: bug#28768: guix system vm Failed to install GRUB (EFI)

From: Marius Bakke <[email-masked]>
Date: Tue, 10 Oct 2017 21:08:55 +0200

Oleg Pykhalov <[email-masked]> writes:

> EFI bootloader configuration causes problems to test with 'system vm'
> before 'reconfigure'.

This is because `guix system vm` is not currently UEFI enabled, so GRUB
tries to install for a normal PC BIOS.

The fix would be to make the various QEMU invocations in (gnu system vm)
take a #:firmware parameter that passes something along the lines of
'-bios #$(file-append ovmf "/share/ovmf/firmware/ovmf_x64.bin")' to the
QEMU command-line, and update other scripts to take advantage.

It's on my ever-growing TODO list and would be nice to have indeed.